ViaVersion

ViaVersion,ViaBackwards和ViaRewind都是跨版本插件。

ViaVersion使更高版本的客户端可以连接到服务器。

ViaBackwards使更低版本的客户端可以连接到服务器,不过版本不能低于1.9.x。

ViaBackwards使1.7.x和1.8.x的客户端可以连接到服务器。

  • ViaVersion版本:4.0.1
  • ViaBackwards版本:2.0.1
  • ViaRewind版本:4.0.1

客户端看到的行为总是1.16.5版本的行为。跨版本不改变核心服务器行为,只做数据包上的转换。

关于基岩版跨版本,请参见Geyser词条


跨版本插件在更高或更低版本的网络数据包与当前版本的数据包之间互相翻译。

更高版本的客户端拿出高版本独有物品时会变成石头。

更低版本的客户端会看到方块,物品和实体的替换版本,例如:

  • 混凝土会变成粘土 (过去会变成砖块)
  • 海带会变成甘蔗
  • 鱼会变成蝙蝠

不推荐用1.8.x和1.7.x客户端游玩服务器,因为他们的跨版本支持并不是很好。